scala.swing

# ToggleButton

#### class ToggleButton extends AbstractButton

A two state button with a push button like user interface. Usually used in tool bars.

Source
  ToggleButton.scala
See also

  javax.swing.JToggleButton

Linear Supertypes
AbstractButton, Wrapper, Trigger, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Known Subclasses
CheckBox, RadioButton
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ToggleButton
2. AbstractButton
3. Wrapper
4. Trigger
5. Component
6. UIElement
7. LazyPublisher
8. Publisher
9. Reactor
10. Proxy
11. AnyRef
12. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ToggleButton()

2. #### new ToggleButton(text0: String)

### Type Members

1. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def action: Action

   Definition Classes
     Wrapper → Trigger

7. #### def action_=(a: Action): Unit

   Definition Classes
     Wrapper → Trigger

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### def background: Color

   Definition Classes
     UIElement

10. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

11. #### def border: Border

    Definition Classes
      Component

12. #### def borderPainted: Boolean

    Definition Classes
      AbstractButton

13. #### def borderPainted_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

14. #### def border_=(b: Border): Unit

    Definition Classes
      Component

15. #### def bounds: Rectangle

    Definition Classes
      UIElement

16. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

17. #### def contentAreaFilled: Boolean

    Definition Classes
      AbstractButton

18. #### def contentAreaFilled_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

19. #### def cursor: Cursor

    Definition Classes
      UIElement

20. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

21. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

22. #### def disabledIcon: Icon

    Definition Classes
      AbstractButton

23. #### def disabledIcon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

24. #### def disabledSelectedIcon: Icon

    Definition Classes
      AbstractButton

25. #### def disabledSelectedIcon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

26. #### def displayable: Boolean

    Definition Classes
      UIElement

27. #### def displayedMnemonicIndex: Int

    Definition Classes
      AbstractButton

28. #### def displayedMnemonicIndex_=(n: Int): Unit

    Definition Classes
      AbstractButton

29. #### def doClick(times: Int): Unit

    Definition Classes
      AbstractButton

30. #### def doClick(): Unit

    Definition Classes
      AbstractButton

31. #### def enabled: Boolean

    Definition Classes
      Component

32. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

33. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

34. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

35. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

36. #### def focusPainted: Boolean

    Definition Classes
      AbstractButton

37. #### def focusPainted_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

38. #### def focusable: Boolean

    Definition Classes
      Component

39. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

40. #### def font: Font

    Definition Classes
      UIElement

41. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

42. #### def foreground: Color

    Definition Classes
      UIElement

43. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

44. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

45. #### def hasFocus: Boolean

    Definition Classes
      Component

46. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

47. #### def horizontalAlignment: Value

    Definition Classes
      AbstractButton

48. #### def horizontalAlignment_=(a: Value): Unit

    Definition Classes
      AbstractButton

49. #### def horizontalTextPosition: Value

    Definition Classes
      AbstractButton

50. #### def horizontalTextPosition_=(a: Value): Unit

    Definition Classes
      AbstractButton

51. #### def icon: Icon

    Definition Classes
      AbstractButton

52. #### def iconTextGap: Int

    Definition Classes
      AbstractButton

53. #### def iconTextGap_=(x: Int): Unit

    Definition Classes
      AbstractButton

54. #### def icon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

55. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

56. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

57. #### var initP: JComponent

    Definition Classes
      Component

58. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

59. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

60. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

61. #### object keys extends Publisher

62. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

63. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

64. #### def locale: Locale

    Definition Classes
      UIElement

65. #### def location: Point

    Definition Classes
      UIElement

66. #### def locationOnScreen: Point

    Definition Classes
      UIElement

67. #### def margin: Insets

    Definition Classes
      AbstractButton

68. #### def margin_=(i: Insets): Unit

    Definition Classes
      AbstractButton

69. #### def maximumSize: Dimension

    Definition Classes
      UIElement

70. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

71. #### def minimumSize: Dimension

    Definition Classes
      UIElement

72. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

73. #### def mnemonic: Value

    Definition Classes
      AbstractButton

74. #### def mnemonic_=(k: Value): Unit

    Definition Classes
      AbstractButton

75. #### object mouse extends AnyRef

    Contains publishers for various mouse events.

76. #### def multiClickThreshold: Long

    Definition Classes
      AbstractButton

77. #### def multiClickThreshold_=(n: Long): Unit

    Definition Classes
      AbstractButton

78. #### def name: String

    Definition Classes
      Component

79. #### def name_=(s: String): Unit

    Definition Classes
      Component

80. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

81. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

82. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

83. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

84. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

85. #### def opaque: Boolean

    Definition Classes
      Component

86. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

87. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

88. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

89. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

90. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

91. #### lazy val peer: JToggleButton

    Definition Classes
      ToggleButton → AbstractButton → Wrapper → Component → UIElement

92. #### def preferredSize: Dimension

    Definition Classes
      UIElement

93. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

94. #### def pressedIcon: Icon

    Definition Classes
      AbstractButton

95. #### def pressedIcon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

96. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

97. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

98. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

99. #### def repaint(): Unit

    Definition Classes
      UIElement

100. #### def requestFocus(): Unit

     Definition Classes
       Component

101. #### def requestFocusInWindow(): Boolean

     Definition Classes
       Component

102. #### def revalidate(): Unit

     Definition Classes
       Component

103. #### def rolloverEnabled: Boolean

     Definition Classes
       AbstractButton

104. #### def rolloverEnabled_=(b: Boolean): Unit

     Definition Classes
       AbstractButton

105. #### def rolloverIcon: Icon

     Definition Classes
       AbstractButton

106. #### def rolloverIcon_=(b: Icon): Unit

     Definition Classes
       AbstractButton

107. #### def rolloverSelectedIcon: Icon

     Definition Classes
       AbstractButton

108. #### def rolloverSelectedIcon_=(b: Icon): Unit

     Definition Classes
       AbstractButton

109. #### def selected: Boolean

     Definition Classes
       AbstractButton

110. #### def selectedIcon: Icon

     Definition Classes
       AbstractButton

111. #### def selectedIcon_=(i: Icon): Unit

     Definition Classes
       AbstractButton

112. #### def selected_=(b: Boolean): Unit

     Definition Classes
       AbstractButton

113. #### def self: Component

     Definition Classes
       UIElement → Proxy

114. #### def showing: Boolean

     Definition Classes
       UIElement

115. #### def size: Dimension

     Definition Classes
       UIElement

116. #### def subscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

117. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

118. #### def text: String

     Definition Classes
       AbstractButton

119. #### def text_=(s: String): Unit

     Definition Classes
       AbstractButton

120. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → Proxy → AnyRef → Any

121. #### def toolkit: Toolkit

     Definition Classes
       UIElement

122. #### def tooltip: String

     Definition Classes
       Component

123. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

124. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

125. #### def verticalAlignment: Value

     Definition Classes
       AbstractButton

126. #### def verticalAlignment_=(a: Value): Unit

     Definition Classes
       AbstractButton

127. #### def verticalTextPosition: Value

     Definition Classes
       AbstractButton

128. #### def verticalTextPosition_=(a: Value): Unit

     Definition Classes
       AbstractButton

129. #### def visible: Boolean

     Definition Classes
       UIElement

130. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

131. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

132. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

133. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

134. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

135. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

136. #### def yLayoutAlignment: Double

     Definition Classes
       Component

137. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

### Deprecated Value Members

1. #### lazy val Mouse: ToggleButton.this.mouse.type

   Definition Classes
     Component
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use mouse instead

2. #### def size_=(dim: Dimension): Unit

   Definition Classes
     UIElement
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Explicit size assignment for UIElements is not supported anymore. ".+("Use a layout manager or subclass Window.")

### Inherited from AbstractButton

### Inherited from Wrapper

### Inherited from Trigger

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any